#ifndef _MISC_H
#define _MISC_H 1


/* Macros and prototypes for miscellaneous support functions */


#include <sys/types.h>			/* for size_t */


/* Min/Max macros */


#define MIN(a, b)	((a) < (b) ? (a) : (b))
#define MAX(a, b)	((a) > (b) ? (a) : (b))


/* Allocate memory and exit immediately if that fails */


void *safe_malloc(size_t len);
int safe_read(int fd, void *p, size_t l);

void hex(char *buf, const char *src, ssize_t len);
void get_random_data(char *p, ssize_t len);


#endif

/*
 * vim:softtabstop=4:sw=4
 */

